Page MenuHomePhabricator

Requesting GitLab account activation for Ross Mallett
Closed, ResolvedPublic1 Estimated Story PointsRequest

Description

GitLab account activation

To activate your account, please sign into GitLab and then answer the following questions:

  • Developer account / GitLab username:

Ross Mallett

  • Reason for access - what projects are you planning to host or contribute to:

milhistbot

GitLab Admin checklist

This section is to be completed by a GitLab administrator.

  • - User has provided the following: developer account username and reasoning for access
  • - User has an existing developer account, and has used it to log in to GitLab

If any of the following criteria are met, user should be approved immediately:

  • - User is known to the admin
  • - User is vouched for by a known contributor
  • - User has a history of contributions on Gerrit, Phabricator, on-wiki, etc.
  • - User is a member of a movement organization

Event Timeline

Anoop renamed this task from Requesting GitLab account activation for USER[S] to Requesting GitLab account activation for Ross Mallett.Dec 8 2023, 3:32 AM
bd808 renamed this task from Requesting GitLab account activation for Ross Mallett to Requesting GitLab account activation for Hawkeye7.Dec 8 2023, 3:30 PM
bd808 updated the task description. (Show Details)

https://gitlab.wikimedia.org/hawkeye7 seems to exist since 2022-10-07 and to be marked as active.

@Hawkeye7 Maybe I made an incorrect guess at T311466#9392219 about the reason you got the no accounts found error. Just to make sure your GitLab account is working, could you try using https://gitlab.wikimedia.org/projects/new to make a new blank project in your 'hawkeye7' user namespace?

My Gitlab account is working.

I created a brand new project called "Liftwing":
https://gitlab.wikimedia.org/hawkeye7/liftwing

Added Ross Mallett as a member so I could access it.

You will have to delete the project it for me.

However the milhistbot project is on
https://gitlab.wikimedia.org/toolforge-repos/milhistbot/

Different repo.

(I do not have the "invite members" button there.)

My Gitlab account is working.

I created a brand new project called "Liftwing":
https://gitlab.wikimedia.org/hawkeye7/liftwing

Added Ross Mallett as a member so I could access it.

You will have to delete the project it for me.

You are the owner of the project. You can delete it from the bottom of the "advanced" section of https://gitlab.wikimedia.org/hawkeye7/liftwing/edit

However the milhistbot project is on
https://gitlab.wikimedia.org/toolforge-repos/milhistbot/

Different repo.

(I do not have the "invite members" button there.)

Both https://gitlab.wikimedia.org/rmallett and https://gitlab.wikimedia.org/hawkeye7 now have owner permissions on that repo.

This task arose because of a comment I made on T311466: Create a kubernetes container with mono and dotnet:

When I try to use the admin console (https://toolsadmin.wikimedia.org/tools/id/milhistbot/repos/create) to create a new repository it says:
No GitLab accounts found for tool maintainers.

This is a bootstrapping problem that I haven't quite fixed -- T323767: Add potential next step for Toolforge error "No GitLab accounts found for tool maintainers.". The workaround is for you to go to https://gitlab.wikimedia.org/ and use the "Sign in" button in the upper right corner to create your initial account. You will also need to visit GitLab (Account Approval) after your initial GitLab login to get your Developer account approved to actually do useful work in GitLab.

I was confused by the two Developer accounts which seem to be attached to the same human. I think I now understand their core differences:

The place where my confusion started is connecting "Hawkeye7" to "milhistbot" because of the "When I try to use the admin console" statement from the @Hawkeye7 phabricator account. I now understand "I" in this context as the human connected to both Developer accounts rather than the "Hawkeye7" Developer account itself.

bd808 renamed this task from Requesting GitLab account activation for Hawkeye7 to Requesting GitLab account activation for Ross Mallett.Dec 11 2023, 5:09 PM
bd808 updated the task description. (Show Details)

The https://gitlab.wikimedia.org/rmallett account exists since 2021-11-26 and is marked as active.

That resolves the specific reason for this task, but not the problem which led to the creation of this task which is shown yet again in T353036#9395325. I will create a new task to track that pre-existing issue rather than continue to entangle it with this task or T311466: Create a kubernetes container with mono and dotnet directly.